// Copyright 2024 FlexCDN root@flexcdn.cn. All rights reserved. Official site: https://flexcdn.cn .

import initCtx from "@/utils/ctx.js"

export default function () {
	const {} = initCtx(this)

	this.targetType = "ip"

	this.changeTargetType = function () {
		setTimeout(() => {
			switch (this.targetType) {
				case "ip":
					this.$refs.ipRef.focus()
					break
				case "server":
					this.$refs.serverNameRef.focus()
					break
			}
		}, 200)
	}
}